Problème de génération ODT Opale

Bonjour.
Je suis encore débutant avec OPALE . Mon problème est quand je télécharge l’extension Générateur PDF OpaleExtGenPdf3-6_fr-FR_010_sc42.wspp, le fichier téléchargé n’est pas reconnu par mon ordinateur (pas de logo rouge et blanc, juste un fichier inconnu). Une fois installé sur opale, la génération ODT indique : publication Texte OpenDocument … avec anomalies.
Voici le rapport :
— User details —
Générateur: gen_paper - Publication Texte OpenDocument
Item racine: /La_voix_active_et_la_voix_passive/La_voix_active_et_la_voix_passpapier.publi

  • [transform] Echec à la transformation [transform] Src=‘C:\Users\Mohamed\Documents\opale3.6\devoir1~gen\La_voix_active_et_la_voix_passive\La_voix_active_et_la_voix_passpapier.publi\paper\La_voix_active_et_la_voix_passpapier.odt’ [transform] Dst=‘C:\Users\Mohamed\Documents\opale3.6\devoir1~gen\La_voix_active_et_la_voix_passive\La_voix_active_et_la_voix_passpapier.publi\paper\La_voix_active_et_la_voix_passpapier.odt’ [transform] params=‘transform=odtUpdate&processings=keepEnumTitle:’ [transform] java.lang.NullPointerException
  • Echec à la transformation Src=‘C:\Users\Mohamed\Documents\opale3.6\devoir1~gen\La_voix_active_et_la_voix_passive\La_voix_active_et_la_voix_passpapier.publi\paper\La_voix_active_et_la_voix_passpapier.odt’ Dst=‘C:\Users\Mohamed\Documents\opale3.6\devoir1~gen\La_voix_active_et_la_voix_passive\La_voix_active_et_la_voix_passpapier.publi\paper\La_voix_active_et_la_voix_passpapier.odt’ params=‘transform=odtUpdate&processings=keepEnumTitle:’
    • Echec à la transformation d’une ressource (OpenDocument).
      • OpenDocument editor not found.

— Admin details —

<?xml version="1.0" encoding="UTF-8"?>
java.lang.NullPointerException at java.io.File.<init>(Unknown Source) at eu.scenari.transform.od.TfmOpenDocument.getOoClassLoader(TfmOpenDocument.java:346) at eu.scenari.transform.od.TfmOpenDocument.xGetSubTransformer(TfmOpenDocument.java:188) at eu.scenari.transform.od.TfmOpenDocument.transform(TfmOpenDocument.java:137) at com.scenari.m.co.ant.TransformTask.execute(TransformTask.java:96) at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106) at org.apache.tools.ant.Task.perform(Task.java:348) at org.apache.tools.ant.Target.execute(Target.java:390) at org.apache.tools.ant.Target.performTasks(Target.java:411) at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399) at org.apache.tools.ant.Project.executeTarget(Project.java:1368) at com.scenari.m.ge.generator.ant.AntGenerator.xGenerate(AntGenerator.java:440) at com.scenari.m.ge.generator.base.GeneratorStatic.generate(GeneratorStatic.java:647) at eu.scenari.wsp.module.gen.ThreadGen.call(ThreadGen.java:170) at eu.scenari.wsp.module.gen.ThreadGen.run(ThreadGen.java:157) at eu.scenari.core.universe.Universe$1.run(Universe.java:393) at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at java.lang.Thread.run(Unknown Source)

— Js stack —
cbLoadLog@chrome://scenariwsp/content/widgets/genBox/genBox.xbl.xml:892:11
CallbackWrapper.prototype.handleEvent@chrome://scenariwsp/content/commons/servers/HttpDataProvider.jsm:410:17

— App context —
timestamp: 13/3/2018 02:11:07
userAgent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:42.0) Gecko/20100101 opale3.6/3.6.103
coreVersion: 4.2.106
brandShortName: Opale
appVersion: 3.6.103
appBuildId: 2018020215
appDevelopmentStage: final

Bonjour,

LibreOffice 5.0 32 bits ne doit pas être installé sur votre machine. Je vous invite à consulter le post : Urgent : libre office5.0 et versions compatibles

Cdt,

Antoine

Kelis

Bonjour,
Je vous remercie pour votre réponse. J’ai déjà essayé d’indiquer le chemin d’accès de libre office dans Opale, mais sans résultats. J’ai essayé d’autres versions (3, 4, 6, et Version: 5.0.6.3) pas de changements. Est-ce que je dois désinstaller la version existante (Version: 5.4.5.1 (x64)) et la remplacer par une autre version? si oui, laquelle?
Merci infiniment.

Il faut supprimer la version 64 bits, et installer une version 32 bits de LibreOffice :
https://downloadarchive.documentfoundation.org/libreoffice/old/5.0.6.3/win/x86/LibreOffice_5.0.6.3_Win_x86.msi

1 « J'aime »

Bonsoir,
Merci pour votre suivi.
Après quelques essais, j’ai finalement réussi avec la version 5.0.6.3 _x86. J’ai redémarré le PC après l’installation de LibreOffice, ouvert Opale, puis j’ai indiqué le chemin du dossier : Program Files (x86)>>>LibreOffice 5, redémarré opale, la génération est réussie.
Merci pour tout.

Merci infiniment pour ce partage qui m’a été d’une aide considérable !

Je vous en prie.